Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 11 Apr 2023 16:15:52 +0000 (UTC)

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? FP040823004171 
This is my tracking no  
I by mistakenly put the wrong building address but after that i wrote an email with the correct address and my parcel is still not received . 
My address is marina residence 4  
301 palm jumeirah dubai https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6039151